Loading...
Searching...
No Matches
GridValidator< ValueT > Class Template Reference

Allows for the construction of NanoVDB grids without any dependecy. More...

`#include <nanovdb/util/GridValidator.h>`

## Static Public Member Functions

static std::string | check (const GridT &grid, bool detailed=true)
| Returns an error message (an empty string means no error)

## Detailed Description

template<typename ValueT>
class nanovdb::GridValidator< ValueT >

Allows for the construction of NanoVDB grids without any dependecy.

## Member Function Documentation

## check()

template<typename ValueT >

std::string check | ( | const GridT & | grid,
|  | bool | detailed = `true`
| ) |  |

static

Returns an error message (an empty string means no error)

Parameters

  grid | NanoVDB grid to be tested
  detailed | If true the checksum is computed and validated as well as all the node pointers

Note
  The validation is much slower if `detailed` == true!